#pragma once
#include "Jass.h"
#include "Structures.h"

bool fGetResoursesUnit(integer vId, integer *vGoldUnit, integer *vWoodUnit);
bool fGetResoursesResearch(ParamPlayer *pParamPlayer, integer vNResearch, integer *vId, integer *vGoldUnit, integer *vWoodUnit);
bool fGetResoursesItem(integer vId, integer *vGoldUnit, integer *vWoodUnit);
bool fGetManaItemsAndSpells(integer vId, real *vMana);

real fRadius_Unit (integer vID_UNIT);
integer fSetParamUnit(DataUnit *pDataUnit);

bool fGetManaSpell(integer vId, integer vLvl, real *vMana);
bool fGetCoolDown(integer vId, integer vLvl, real *vCoolDown);
bool fGetCoolDamage(integer vId, integer vLvl, real *vDamage);
bool fGetCoolRadius(integer vId, integer vLvl, real *vRadius);

bool fGetXYBuild(integer vId, unsigned short *vXBuild, unsigned short *vYBuild);

bool fGetId(unsigned short vComment, unsigned short vStage, integer *vId);

bool fGetTimeCompliteBuild(integer vId, float *vTime);

bool fGetTimeCompliteResearch(integer vId, float *vTime);

bool fGetTimeCompliteTrain(integer vId, float *vTime);

bool fGetAttackRadius(integer vId, real *vRadius);

real fRadius_Destructable (integer vID_DEST);

bool fGetReviewRadius(integer vId, real *vRadius);